<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
  <meta charset="utf-8"/>
  <title>Zen 7.x-6.x Style Guide</title>

  <meta name="description" content=""/>
  <meta name="generator" content="kss-node"/>
  <meta name="viewport" content="width=device-width"/>

  <link rel="stylesheet" href="kss-assets/kss.css"/>
  <link rel="stylesheet" href="../css/styles.css"/>
<link rel="stylesheet" href="../css/style-guide/chroma-kss-styles.css"/>
<link rel="stylesheet" href="../css/style-guide/kss-only.css"/>

</head>
<body id="kss-node" >

<div class="kss-sidebar kss-style">
  <header class="kss-header">
    <h1 class="kss-doc-title">Zen 7.x-6.x Style Guide</h1>
  </header>
  <nav class="kss-nav" aria-label="Style Guide">
    <ul class="kss-nav__menu">
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="./">
          <span class="kss-nav__ref">0</span
          ><span class="kss-nav__name">Overview</span>
        </a>
      </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-sass.html">
          <span class="kss-nav__ref">1</span><span class="kss-nav__name">Colors and Sass</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-base.html">
          <span class="kss-nav__ref">2</span><span class="kss-nav__name">Defaults</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-layouts.html">
          <span class="kss-nav__ref">3</span><span class="kss-nav__name">Layouts</span>
        </a>
                  <ul class="kss-nav__menu-child">
                      <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-layouts.html#kssref-layouts-layout-center">
                <span class="kss-nav__ref ">3.1</span
                ><span class="kss-nav__name">Layout Center</span>
              </a>
            </li>
                      <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-layouts.html#kssref-layouts-layout-3col">
                <span class="kss-nav__ref ">3.2</span
                ><span class="kss-nav__name">Responsive 3-column grid</span>
              </a>
            </li>
                      <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-layouts.html#kssref-layouts-layout-swap">
                <span class="kss-nav__ref ">3.3</span
                ><span class="kss-nav__name">Layout swap</span>
              </a>
            </li>
                    </ul>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-components.html">
          <span class="kss-nav__ref">4</span><span class="kss-nav__name">Components</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-navigation.html">
          <span class="kss-nav__ref">5</span><span class="kss-nav__name">Navigation</span>
        </a>
              </li>
          <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-forms.html">
          <span class="kss-nav__ref">6</span><span class="kss-nav__name">Forms</span>
        </a>
              </li>
        </ul>
  </nav>
</div>
<main class="kss-main" aria-label="content">
<article>

  
          <div id="kssref-layouts" class="kss-section kss-section--depth-1 ">
      <div class="kss-style">
                <h1 class="kss-title kss-title--level-1">
          <a class="kss-title__permalink" href="#kssref-layouts">
            <span class="kss-title__ref">
              3
              <span class="kss-title__permalink-hash">
                layouts
              </span>
            </span>
            Layouts
          </a>
        </h1>

        
                  <div class="kss-description">
            <p>The layout styling for major parts of the page that are included with the
theme. Note: some Panels layouts are included in other parts of the system
and are not documented.</p>

          </div>
        
        
              </div>

      
              <div class="kss-source kss-style">
          Source: <code>sass/styles.scss</code>, line 30
        </div>
          </div>
          <section id="kssref-layouts-layout-center" class="kss-section kss-section--depth-2 ">
      <div class="kss-style">
                <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-layouts-layout-center">
            <span class="kss-title__ref">
              3.1
              <span class="kss-title__permalink-hash">
                layouts.layout-center
              </span>
            </span>
            Layout Center
          </a>
        </h2>

                  <p class="kss-toolbar">
                          <a href="#kssref-layouts-layout-center" data-kss-fullscreen="kssref-layouts-layout-center">
                <span class="kss-toolbar__tooltip">Toggle full screen</span>
                <svg focusable="false" aria-hidden="true" class="off" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M64 0v26l-10-10-12 12-6-6 12-12-10-10zM28 42l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
                <svg focusable="false" aria-hidden="true" class="on" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M28 36v26l-10-10-12 12-6-6 12-12-10-10zM64 6l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
              </a>
              <a href="item-layouts-layout-center.html" target="_blank">
                <span class="kss-toolbar__tooltip">Open in new window</span>
                <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <rect x="0" y="20" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M40,64l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="0" y="20" width="40" height="10"/>
                  <rect x="24" y="0" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M64,44l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="24" y="0" width="40" height="10"/>
                </svg>
              </a>
                        <a href="#kssref-layouts-layout-center" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">Toggle example guides</span>
              <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-layouts-layout-center" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">Toggle HTML markup</span>
              <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        
                  <div class="kss-description">
            <p>All other layouts should be nested inside this centered layout to ensure that
content does not get too wide on very large screens.</p>
<p>Applying a <code>.layout-*</code> class to the same HTML element as <code>.layout-center</code>
would cause that element's grid to mis-align with the rest of the grid on the
page, but this component will automatically detect the other <code>.layout-*</code>
class and automatically use the <code>.layout-center--shared-grid</code> variant
instead.</p>

          </div>
        
        
              </div>

              <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Examples          </div>

                      <div class="kss-modifier__default-name kss-style">
              Default styling
            </div>
          
          <div class="kss-modifier__example">
            <div class="layout-center ">
  This is layout center that has content is centered on larger screens.
</div>

            <div class="kss-modifier__example-footer"></div>
          </div>

                      <div class="kss-modifier__name kss-style">
              .layout-center--shared-grid
            </div>
            <div class="kss-modifier__description kss-style">
              If <code>.layout-center</code> is applied to the same div as another .layout-* class, then this variant should be used to prevent the shared layout's grid from mis-aligning. Note: Each time a new .layout-* component is created, this component will need to be modified.
            </div>
            <div class="kss-modifier__example">
              <div class="layout-center layout-center--shared-grid">
  This is layout center that has content is centered on larger screens.
</div>

              <div class="kss-modifier__example-footer"></div>
            </div>
                  </div>
                  <details class="kss-markup kss-style">
            <summary>
                              Markup: <code>layouts/layout-center/layout-center.twig</code>
                          </summary>
            <pre class="hljs"><code class="language-twig"><span class="xml"><span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-center </span></span></span><span class="hljs-template-variable">{{modifier_class}}</span><span class="xml"><span class="hljs-tag"><span class="hljs-string">"</span>&gt;</span>
  This is layout center that has content is centered on larger screens.
<span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
</span></code></pre>
          </details>
              
              <div class="kss-source kss-style">
          Source: <code>sass/layouts/layout-center/_layout-center.scss</code>, line 5
        </div>
          </section>
          <section id="kssref-layouts-layout-3col" class="kss-section kss-section--depth-2 ">
      <div class="kss-style">
                <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-layouts-layout-3col">
            <span class="kss-title__ref">
              3.2
              <span class="kss-title__permalink-hash">
                layouts.layout-3col
              </span>
            </span>
            Responsive 3-column grid
          </a>
        </h2>

                  <p class="kss-toolbar">
                          <a href="#kssref-layouts-layout-3col" data-kss-fullscreen="kssref-layouts-layout-3col">
                <span class="kss-toolbar__tooltip">Toggle full screen</span>
                <svg focusable="false" aria-hidden="true" class="off" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M64 0v26l-10-10-12 12-6-6 12-12-10-10zM28 42l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
                <svg focusable="false" aria-hidden="true" class="on" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M28 36v26l-10-10-12 12-6-6 12-12-10-10zM64 6l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
              </a>
              <a href="item-layouts-layout-3col.html" target="_blank">
                <span class="kss-toolbar__tooltip">Open in new window</span>
                <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <rect x="0" y="20" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M40,64l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="0" y="20" width="40" height="10"/>
                  <rect x="24" y="0" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M64,44l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="24" y="0" width="40" height="10"/>
                </svg>
              </a>
                        <a href="#kssref-layouts-layout-3col" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">Toggle example guides</span>
              <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-layouts-layout-3col" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">Toggle HTML markup</span>
              <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        
                  <div class="kss-description">
            <p>The <code>.layout-3col</code> layout is a responsive grid layout that is:</p>
<ul>
<li>1 column at mobile sizes</li>
<li>2 columns at tablet sizes</li>
<li>3 columns at desktop sizes</li>
</ul>
<p>The <code>.layout-3col</code> class is used on the container div for the layout. A <em>grid
item</em> in the container can be created using one of the following classes:</p>
<ul>
<li><code>.layout-3col__full</code> : 3-column wide grid item; starts a new row</li>
<li><code>.layout-3col__left-content</code> : 2-column wide grid item, spanning columns 1
and 2; starts a new row</li>
<li><code>.layout-3col__right-content</code> : 2-column wide grid item, spanning columns 2
and 3; starts a new row</li>
<li><code>.layout-3col__left-sidebar</code> : 1-column wide grid item spanning column 1;
starts a new row on tablet screens</li>
<li><code>.layout-3col__first-left-sidebar</code> : 1-column wide grid item spanning column 1;
spans column 1 and starts a new row on tablet screens only</li>
<li><code>.layout-3col__second-left-sidebar</code> : 1-column wide grid item spanning column 1;
spans column 2 on tablet screens only</li>
<li><code>.layout-3col__right-sidebar</code> : 1-column wide grid item spanning column 3;
starts a new row on tablet screens</li>
<li><code>.layout-3col__col-1</code> : 1-column wide grid item spanning column 1; starts a
new row</li>
<li><code>.layout-3col__col-2</code> : 1-column wide grid item spanning column 2</li>
<li><code>.layout-3col__col-3</code> : 1-column wide grid item spanning column 3; starts a
new row on tablet screens</li>
<li><code>.layout-3col__col-4</code> : At tablet sizes, the <code>__col-x</code> grid items will form
an irregular layout of 2 items in the first row and 1 item in the second
row. The <code>__col-4</code> is a &quot;hidden&quot; item that does not appear on the
large-screen 3-column grid, but is a 1-column wide grid item spanning
column 2 on tablet screens.</li>
<li><code>.layout-3col__col-x</code> : 1-column wide grid item spanning column 1; when
several of these are used inside a <code>.layout-3col__grid-item-container</code> or
<code>.layout-3col</code>, the first one is positioned like <code>__col-1</code>, the
second like <code>__col-2</code>, etc.</li>
</ul>
<p>There are 2 ways to do a nested grid:</p>
<ol>
<li>Place a grid container div inside a grid item. Just apply the normal
classes to the nested grid container and its grid items.</li>
<li>The grid item's div is also the grid container for the nested grid. In
this case, the <code>.layout3-col__grid-item-container</code> class should be added
to the div to ensure its nested grid items align with the parent grid.</li>
</ol>

          </div>
        
        
              </div>

              <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Example          </div>

          
          <div class="kss-modifier__example">
            <div class="layout-3col ">
  <div class="layout-3col__full">
    The <code>.layout-3col__full</code> grid item.
  </div>
  <div class="layout-3col__left-content">
    The <code>.layout-3col__left-content</code> grid item.
  </div>
  <div class="layout-3col__right-sidebar">
    The <code>.layout-3col__right-sidebar</code> grid item.
  </div>
  <div class="layout-3col__right-content">
    The <code>.layout-3col__right-content</code> grid item.
  </div>
  <div class="layout-3col__left-sidebar">
    The <code>.layout-3col__left-sidebar</code> grid item.
  </div>
  <div class="layout-3col__right-content">
    The <code>.layout-3col__right-content</code> grid item.
  </div>
  <div class="layout-3col__first-left-sidebar">
    The <code>.layout-3col__first-left-sidebar</code> grid item.
  </div>
  <div class="layout-3col__second-left-sidebar">
    The <code>.layout-3col__second-left-sidebar</code> grid item.
  </div>
  <div class="layout-3col__col-1">
    The <code>.layout-3col__col-1</code> grid item.
  </div>
  <div class="layout-3col__col-2">
    The <code>.layout-3col__col-2</code> grid item.
  </div>
  <div class="layout-3col__col-3">
    The <code>.layout-3col__col-3</code> grid item. Don't forget to look for the <code>.layout-3col__col-4</code> grid item at tablet sizes.
  </div>
  <div class="layout-3col__col-4">
    The <code>.layout-3col__col-4</code> grid item.
  </div>
  <div class="layout-3col__full layout-3col__grid-item-container">
    <div class="layout-3col__col-x">
      The first <code>.layout-3col__col-x</code> grid item in this nested grid.
    </div>
    <div class="layout-3col__col-x">
      The second <code>.layout-3col__col-x</code> grid item in this nested grid.
    </div>
    <div class="layout-3col__col-x">
      The third <code>.layout-3col__col-x</code> grid item in this nested grid.
    </div>
    <div class="layout-3col__col-x">
      The fourth <code>.layout-3col__col-x</code> grid item in this nested grid.
    </div>
    <div class="layout-3col__col-x">
      The fifth <code>.layout-3col__col-x</code> grid item in this nested grid.
    </div>
    <div class="layout-3col__col-x">
      The sixth <code>.layout-3col__col-x</code> grid item in this nested grid.
    </div>
  </div>
</div>

            <div class="kss-modifier__example-footer"></div>
          </div>

                  </div>
                  <details class="kss-markup kss-style">
            <summary>
                              Markup: <code>layouts/layout-3col/layout-3col.twig</code>
                          </summary>
            <pre class="hljs"><code class="language-twig"><span class="xml"><span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col </span></span></span><span class="hljs-template-variable">{{modifier_class}}</span><span class="xml"><span class="hljs-tag"><span class="hljs-string">"</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__full"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__full<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__left-content"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__left-content<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__right-sidebar"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__right-sidebar<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__right-content"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__right-content<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__left-sidebar"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__left-sidebar<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__right-content"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__right-content<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__first-left-sidebar"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__first-left-sidebar<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__second-left-sidebar"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__second-left-sidebar<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-1"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-1<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-2"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-2<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-3"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-3<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item. Don't forget to look for the <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-4<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item at tablet sizes.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-4"</span>&gt;</span>
    The <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-4<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item.
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__full layout-3col__grid-item-container"</span>&gt;</span>
    <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-x"</span>&gt;</span>
      The first <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-x<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item in this nested grid.
    <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
    <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-x"</span>&gt;</span>
      The second <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-x<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item in this nested grid.
    <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
    <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-x"</span>&gt;</span>
      The third <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-x<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item in this nested grid.
    <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
    <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-x"</span>&gt;</span>
      The fourth <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-x<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item in this nested grid.
    <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
    <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-x"</span>&gt;</span>
      The fifth <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-x<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item in this nested grid.
    <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
    <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-3col__col-x"</span>&gt;</span>
      The sixth <span class="hljs-tag">&lt;<span class="hljs-name">code</span>&gt;</span>.layout-3col__col-x<span class="hljs-tag">&lt;/<span class="hljs-name">code</span>&gt;</span> grid item in this nested grid.
    <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
<span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
</span></code></pre>
          </details>
              
              <div class="kss-source kss-style">
          Source: <code>sass/layouts/layout-3col/_layout-3col.scss</code>, line 1
        </div>
          </section>
          <section id="kssref-layouts-layout-swap" class="kss-section kss-section--depth-2 ">
      <div class="kss-style">
                <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-layouts-layout-swap">
            <span class="kss-title__ref">
              3.3
              <span class="kss-title__permalink-hash">
                layouts.layout-swap
              </span>
            </span>
            Layout swap
          </a>
        </h2>

                  <p class="kss-toolbar">
                          <a href="#kssref-layouts-layout-swap" data-kss-fullscreen="kssref-layouts-layout-swap">
                <span class="kss-toolbar__tooltip">Toggle full screen</span>
                <svg focusable="false" aria-hidden="true" class="off" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M64 0v26l-10-10-12 12-6-6 12-12-10-10zM28 42l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
                <svg focusable="false" aria-hidden="true" class="on" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M28 36v26l-10-10-12 12-6-6 12-12-10-10zM64 6l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
              </a>
              <a href="item-layouts-layout-swap.html" target="_blank">
                <span class="kss-toolbar__tooltip">Open in new window</span>
                <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <rect x="0" y="20" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M40,64l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="0" y="20" width="40" height="10"/>
                  <rect x="24" y="0" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M64,44l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="24" y="0" width="40" height="10"/>
                </svg>
              </a>
                        <a href="#kssref-layouts-layout-swap" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">Toggle example guides</span>
              <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-layouts-layout-swap" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">Toggle HTML markup</span>
              <svg focusable="false" aria-hidden="true" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        
                  <div class="kss-description">
            <p>Uses absolute positioning and selective padding to make 2 elements appear to
swap places in the visual order while maintaining their original HTML source
order.</p>

          </div>
        
        
              </div>

              <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Example          </div>

          
          <div class="kss-modifier__example">
            <div class="layout-swap">
  <div>This element comes <strong>first</strong> in the HTML source order.</div>
  <div class="layout-swap__top">This element comes <strong>second</strong> in the HTML source order.</div>
</div>

            <div class="kss-modifier__example-footer"></div>
          </div>

                  </div>
                  <details class="kss-markup kss-style">
            <summary>
                              Markup: <code>layouts/layout-swap/layout-swap.twig</code>
                          </summary>
            <pre class="hljs"><code class="language-twig"><span class="xml"><span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-swap"</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span>&gt;</span>This element comes <span class="hljs-tag">&lt;<span class="hljs-name">strong</span>&gt;</span>first<span class="hljs-tag">&lt;/<span class="hljs-name">strong</span>&gt;</span> in the HTML source order.<span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
  <span class="hljs-tag">&lt;<span class="hljs-name">div</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"layout-swap__top"</span>&gt;</span>This element comes <span class="hljs-tag">&lt;<span class="hljs-name">strong</span>&gt;</span>second<span class="hljs-tag">&lt;/<span class="hljs-name">strong</span>&gt;</span> in the HTML source order.<span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
<span class="hljs-tag">&lt;/<span class="hljs-name">div</span>&gt;</span>
</span></code></pre>
          </details>
              
              <div class="kss-source kss-style">
          Source: <code>sass/layouts/layout-swap/_layout-swap.scss</code>, line 4
        </div>
          </section>
  </article>
</main>

<!-- SCRIPTS -->
<script src="kss-assets/kss.js"></script>
<script src="kss-assets/scrollspy.js"></script>
<script src="kss-assets/kss-fullscreen.js"></script>
<script src="kss-assets/kss-guides.js"></script>
<script src="kss-assets/kss-markup.js"></script>
<script>
  var spy = new ScrollSpy('#kss-node', {
    nav: '.kss-nav__menu-child > li > a',
    className: 'is-in-viewport'
  });
  var kssFullScreen = new KssFullScreen({
    idPrefix: 'kss-fullscreen-',
    bodyClass: 'kss-fullscreen-mode',
    elementClass: 'is-fullscreen'
  });
  var kssGuides = new KssGuides({
    bodyClass: 'kss-guides-mode'
  });
  var kssMarkup = new KssMarkup({
    bodyClass: 'kss-markup-mode',
    detailsClass: 'kss-markup'
  });
</script>




<!-- Automatically built using <a href="https://github.com/kss-node/kss-node">kss-node</a>. -->
</body>
</html>
